### 4.14.1 package declarations

Syntax:
  `package` name `;`

Purpose:
  defines a package (Only relevant in very special situations).

Example:

        package Test;
        int Test::i;
        listvar();
        listvar(Test);
      ==> // Test                           [0]  package Test (N)
      ==> // ::i                            [0]  int 0
        package dummy = Test;
        kill Test;
        listvar(dummy);
      ==> // dummy                          [0]  package dummy (N)
      ==> // ::i                            [0]  int 0

User manual for Singular version 4-0-3, 2016, generated by texi2html.